## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathProcessorImpl Class Reference

The XPathProcessorImpl class responsibilities include tokenizing and parsing the XPath expression, and acting as a general interface to XPaths. More...

`#include <XPathProcessorImpl.hpp>`

Inheritance diagram for XPathProcessorImpl

Collaboration diagram for XPathProcessorImpl:

List of all members.

## Public Types

- typedef std::map<XalanDOMString,
  const XalanDOMString*> StringToStringMapType
- typedef std::vector<bool> BoolVectorType

## Public Methods

- XPathProcessorImpl ()
- virtual ~XPathProcessorImpl ()
- virtual void initXPath ( XPath& pathObj, XPathConstructionContext& constructionContext, const XalanDOMString& expression, const PrefixResolver& resolver, const LocatorType* locator = 0)
    Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed. More...
- virtual void initMatchPattern ( XPath& pathObj, XPathConstructionContext& constructionContext, const XalanDOMString& expression, const PrefixResolver& resolver, const LocatorType* locator = 0)
    Given a string, create an XSLT Match Pattern object. More...

## Detailed Description

The XPathProcessorImpl class responsibilities include tokenizing and parsing the XPath expression, and acting as a general interface to XPaths.

## Member Typedef Documentation

typedef std::vector<bool> XPathProcessorImpl::BoolVectorType

typedef std::map<XalanDOMString, const XalanDOMString*> XPathProcessorImpl::StringToStringMapType

## Constructor & Destructor Documentation

XPathProcessorImpl::XPathProcessorImpl ( | )

virtual XPathProcessorImpl::~XPathProcessorImpl ( | )`[virtual]`

## Member Function Documentation

virtual void XPathProcessorImpl::initMatchPattern ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0 )`[virtual]`

Given a string, create an XSLT Match Pattern object.

Parameters:

  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null

Reimplemented from XPathProcessor.

virtual void XPathProcessorImpl::initXPath ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0 )`[virtual]`

Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed.

Parameters:

  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null

Reimplemented from XPathProcessor.

The documentation for this class was generated from the following file:

- XPathProcessorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.